<?PHP
/*Cration d'un bouton de soumission (par defaut)
* $button = new BUTTON( $name, 'ok', $label, $css, $source, $type );
*/ 
class BUTTON extends ATTRIBUTE{
		
	//mthodes
	/*
	*	__construct( $name, $value, $label, $css, $source, $type );
	*/
	function __construct( $name='', $value='', $label='', $css='', $source='', $type = 'submit' ){
		
		if( strtolower( $type ) != 'reset' ){
			$this->type = 'submit';
		}else{
			$this->type = 'reset';
		}
		
		if( $name == '' ){
			static $comp_button = 1;
			//incrmentation du nom (par dfaut)
			$this->name = 'BUTTON'.$comp_button;
			$comp_button++;
		}else{
			$this->name = $name;
		}

		if( $value == '' ){
			if( $this->type == 'reset' ){
				$this->value = 'reset';
			}else{
				$this->value = 'ok';
			}
		}else{
			$this->value = htmlentities( $value );
		}
		
		$this->disabled = false;
		$this->label = htmlentities( $label );
		
		//gestion du CSS
		$this->css = parent::instancicss( $css );
		//gestion des sources
		$this->source = parent::instancisource( $source );
	}
	
	//surcharge de la fonction attribute (paramtre spcifique)
	function attribute( $attrib = '', $val = '' ){
		
		if( strtolower( $attrib ) == 'type' ){
			if( strtolower($val) == 'submit' || strtolower($val) == 'reset' ){ 
				$this->type = $val;
				return;
			}
			trigger_error( '*ATTRIBUTE=>TYPE bad argument*', E_USER_WARNING );
		}else{
			parent::attribute( $attrib, $val );
		}
	}
		
	//crit le rsultat en HTML
	function write( $screen = '' ){
	
			// input
			$this->ligne_input = '<input type="'.$this->type.'" name="'.$this->name.'" value="'.$this->value.'"';
		
			if( $this->disabled == true ){
				$this->ligne_input.= ' disabled="disabled"';
			}
	
			//teste si label existe pour incoporer le CSS et le SOURCE
			if( is_int( strpos( $this->label, 'LB_' ) ) ) {			
				$this->label_fin = true;
			}
			
			//gestion du CSS dans <input> si pas de label
			if( $this->label_fin == false && $this->css != '' ){
				$this->ligne_input.= ' '.$this->css;	
			}
	
			//gestion de l'ajout de code libre dans <input> si pas de label
			if( $this->label_fin == false && $this->source != '' ){
				$this->ligne_input.= ' '.$this->source;
			}	
			
			$this->ligne_input.='/>';
			
			parent::write( $screen );			
	}	

}
?>