<?PHP
//Cration d'un menu droulant 
class MENU extends ATTRIBUTE{

	//attributs
	/*	informations sur : les valeurs, noms, slectioner, en ativit, cible un lment 
	*	value[], label[], checked, disabled, target[]
	*/
	protected $target;	//'array' inject du code dans la balise html <option>
	protected $margin;	//'int' nombre de caractres ( &nbsp; ) avant/aprs un libell
	
	//mthode
	/** 
	*__construct( $name, $label, $checked ,$css, $source )
	*/
	function __construct( $name = '', $label = '', $checked = 0, $css = '', $source = ''){
		
		if( $name == '' ){
			static $comp_button = 1;
			//incrmentation du nom (par dfaut)
			$this->name = 'JUMP_MENU'.$comp_button;
			$comp_button++;
		}else{
			$this->name = $name;
		}
		
		$tag = parent::multilabel( $label );
		
		//label par dfault  intancier 
		if( $tag == 10 ){
			$this->label = array( 'Default', 'Default' );
		} 
				
		$this->disabled = false;
		
		if( is_int( $checked ) && $checked > 0 && $checked < (count( $this->label )+1)  ){
			$this->checked = $checked;
		}else{
			$this->checked = 0;
		}
				
		//gestion du CSS
		$this->css = parent::instancicss( $css );
		//gestion des sources
		$this->source = parent::instancisource( $source );
		
		//gestion d'un ciblage de balise <option> (CSS ou SOURCE)
		$this->target = array( 'css'=>array(), 'source'=>array() );
		
		$this->margin = 0;
	}	
	
	//change les attributs priv $pos cible un lment du menu <option>
	//value[], label[], checked, disabled, option[]
	function attribute( $attrib = '', $val = '', $pos=NULL ){
			
		switch( strtolower( $attrib ) ){

			case 'value':
				if( is_string(  $val ) ){
					if( strtolower( $val ) == 'lab' ){
						$this->value = $this->label;
						break;
					}
				}
				if( parent::multivalue( $val ) ){
					break;
				}
				trigger_error( '*ATTRIBUTE=>VALUE argument overflow*', E_USER_WARNING );		
				break;				
			case 'label':
				$tag = parent::multilabel( $val );
				//label par dfault  intancier 
				if( $tag == 10 ){
					$this->label = array( 'Default', 'Default' );
				} 
				parent::instancitag( $tag );
				break;
			case 'checked':
				if( is_int( $val ) && $val >= 0 && $val < (count( $this->label )+1)  ){
					$this->checked = $val;
					break;
				}
				$this->checked = 0;
				trigger_error( '*ATTRIBUTE=>CHECKED argument overflow*', E_USER_WARNING );
				break;
			case 'target':
				if( $pos > 0 && $pos < (count( $this->label )+1) && is_string( $val ) ){
					
					if( substr( $val, 0, 1 ) == '#' || substr( $val, 0, 1 ) == '.' ){
						$this->target["css"][$pos] = parent::instancicss( $val );
						break;
					}
					
					if( is_string( $val ) ){
						$this->target["source"][$pos] = parent::instancisource( $val );
						break;
					}
				}
				trigger_error( '*ATTRIBUTE=>TARGET bad argument*', E_USER_WARNING );
				break;
			case 'margin':
				if( is_int( $val ) && $val >= 0 ){
					$this->margin = $val;
					break;
				}
				trigger_error( '*ATTRIBUTE=>MARGIN bad argument*', E_USER_WARNING );
				break;
			default:
				parent::attribute( $attrib, $val );
				break;
		}
	}	
	
	//ecrit le rsultat en HTML
	// $ligne_label, $ligne_input, $ligne_source, $ligne_total, $label_fin;
	function write( $screen = '' ){
		//compteur
		$x = 1 ;
		$this->ligne_label = '<select name="'.$this->name().'"'.$this->css.' '.$this->source;
		$this->ligne_label = rtrim( $this->ligne_label, ' ' );
		if( $this->disabled === true ){
			$this->ligne_label .= ' disabled="disabled"';
		}		
		$this->ligne_label .= '>';
		
		foreach( $this->label as $elem ){
			$this->ligne_input .= '<option value="'.array_shift( $this->value ).'"';
			
			//ajout des options spcifiques pour chaque ligne du menu
			if( isset( $this->target[ 'css' ][$x] ) ){
				$this->ligne_input .= ' '.$this->target[ 'css' ][$x];
			}
			
			if( isset( $this->target[ 'source' ][$x] ) ){
				$this->ligne_input .= ' '.$this->target[ 'source' ][$x];
			}
			
			if( $this->checked == $x ){
				$this->ligne_input .= ' selected="selected"';
			}
			
			//ajout d'une marge
			if( $this->margin > 0 ){
				$m = '';
				for($i=0; $i < $this->margin; $i++){
					$m .='&nbsp;';
				}
				
				$this->ligne_input .='>'.$m.$elem.'</option>';
				$x++;
			}else{
				$this->ligne_input .='>'.$elem.'</option>';
				$x++;
			}
		}
		
		$this->ligne_input .= '</select>';

		$this->ligne_total = $this->ligne_label.$this->ligne_input;
		
		//criture vers cran ou navigateur
		if( $screen != '' ){
			echo htmlspecialchars( $this->ligne_total );
		}else{
			echo $this->ligne_total;
		}

	}

}
?>
